import React from 'react';
import { EmailCrawler } from '../forms/EmailCrawler';
import { ImageVariants } from '../Image/types';
import { Image } from '../Image';
export var EmailCrawlingMicrosite = function EmailCrawlingMicrosite(_ref) {
  var labels = _ref.labels,
      handleEmailSubmit = _ref.onEmailSubmit,
      messages = _ref.messages,
      background = _ref.background;
  return React.createElement(Image, Object.assign({
    variant: ImageVariants.BACKGROUND,
    className: "vh-100 vw-100 d-flex align-items-center justify-content-center"
  }, background), React.createElement("div", {
    style: {
      width: '630px'
    }
  }, React.createElement(EmailCrawler, {
    labels: labels,
    onSubmit: handleEmailSubmit,
    messages: messages
  })));
};